
Redmine - Defect #1916

1 issue with issues after migration

2008-09-17 08:10 - Jonathan Hall

Status: Closed Start date: 2008-09-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Have done the db:migrate cache clear and restarted the service a number of times but still one of my issues has issues

ActionView::TemplateError (undefined method `description' for #<Attachment:0x600f194>) on line #4 of attachments/_links.rhtml:

1: <div class="attachments">

2: <% for attachment in attachments >

3: <p><= link_to_attachment attachment, :class => 'icon icon-attachment' ->

4: <= h(" - #{attachment.description}") unless attachment.description.blank? >

5:   <span class="size">(<= number_to_human_size attachment.filesize >)</span>

6:   < if options[:delete_url] >

7:     <= link_to image_tag('delete.png'), options[:delete_url].update({:attachment_id => attachment}),

E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/attribute_methods.rb:256:in `m

ethod_missing'

    app/views/attachments/_links.rhtml:4:in `_run_erb_47app47views47attachments47_links46rhtml'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_c

ollection.rb:277:in `method_missing'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_p

roxy.rb:171:in `method_missing'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_p

roxy.rb:171:in `each'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_p

roxy.rb:171:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_p

roxy.rb:171:in `method_missing'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_c

ollection.rb:277:in `method_missing'

    app/views/attachments/_links.rhtml:2:in `_run_erb_47app47views47attachments47_links46rhtml'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `execute'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.r

b:29:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.r

b:29:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partial_template.rb:20:in `ren

der'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:30:in `b

enchmark'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partial_template.rb:19:in `ren

der'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template.rb:22:in `render_temp

late'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partials.rb:110:in `render_par

tial'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:277:in `render'

    app/helpers/attachments_helper.rb:22:in `link_to_attachments'

    app/views/issues/show.rhtml:70:in `_run_erb_47app47views47issues47show46rhtml'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `execute'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.r

b:29:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.r
b:29:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template.rb:35:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template.rb:22:in `render_temp

late'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:248:in `render_file'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:1112:in `render_

for_file'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:872:in `render_w

ith_no_layout'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/layout.rb:251:in `render

_without_benchmark'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:51:in `r

ender'

    E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/core_ext/benchmark.rb:8:

in `realtime'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:51:in `r

ender'

    app/controllers/issues_controller.rb:105:in `show'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/mime_responds.rb:131:in 

`call'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/mime_responds.rb:131:in 

`custom'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/mime_responds.rb:156:in 

`call'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/mime_responds.rb:156:in 

`respond'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/mime_responds.rb:154:in 

`each'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/mime_responds.rb:154:in 

`respond'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/mime_responds.rb:107:in 

`respond_to'

    app/controllers/issues_controller.rb:104:in `show'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:1166:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:1166:in `perform

_action_without_filters'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:579:in `call_

filters'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:572:in `perfo

rm_action_without_benchmark'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:68:in `p

erform_action_without_rescue'

    E:/Ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:68:in `p

erform_action_without_rescue'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/rescue.rb:201:in `perfor

m_action_without_caching'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/caching/sql_cache.rb:13:

in `perform_action'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/connection_adapters/abstra

ct/query_cache.rb:33:in `cache'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/query_cache.rb:8:in `cache

'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/caching/sql_cache.rb:12:

in `perform_action'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:529:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:529:in `process_

without_filters'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:568:in `proce

ss_without_session_management_support'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/session_management.rb:13

0:in `process'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:389:in `process'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:149:in `ha

ndle_request'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:107:in `di

spatch'
    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:104:in `sy

nchronize'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:104:in `di

spatch'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:120:in `di

spatch_cgi'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:35:in `dis

patch'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/webrick_server.rb:112:in `handle_dispatch'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/webrick_server.rb:78:in `service'

    E:/Ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    E:/Ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:162:in `start'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:95:in `start'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:92:in `each'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:92:in `start'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:23:in `start'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:82:in `start'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/webrick_server.rb:62:in `dispatch'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/commands/servers/webrick.rb:66

    E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

    E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

    E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:510:in `

require'

    E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:355:in `

new_constants_in'

    E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:510:in `

require'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/commands/server.rb:39

    E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

    E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

    script/server:3

 Rendering E:/RedMine/public/500.html (500 Internal Server Error)

History

#1 - 2008-09-17 14:24 - Thomas Lecavelier

Which version of redmine are you using? 0.7.3 is not compatible with Rails 2.1.1. You can freeze rails 2.1.0 this way:

rake rails:freeze:edge TAG=rel_2-1-0

#2 - 2008-09-17 19:09 - Jean-Philippe Lang

Can you also check that you have a 'description' column in your 'attachments' table please ?

#3 - 2008-09-18 00:45 - Jonathan Hall

I couldn't get in yesterday so created a new user account with the above, apologies if this causes any confusion

Now did the rake; no joy

There is no column in the attachments table called 'description'

Regards,

Jon

#4 - 2008-09-19 01:56 - Jonathan Hall

Using dev ed 1866

Not sure if I should start a new issue but also have the below issue:

Also have an issue with 'new issue'

@Processing IssuesController#new (for 192.168.1.104 at 2008-09-19 09:57:04) [GET]

Session ID: 42698ad29a8101c32b96b89ef09398de

Parameters: {"project_id"=>"trans", "action"=>"new", "controller"=>"issues"}

Rendering template within layouts/base
Rendering issues/new

ActionView::TemplateError (undefined method `default_value' for #<IssueCustomField:0x6044998>) on line #3 of issues/_form_custom_fields.rhtml:

1: <div class="splitcontentleft">

2: <% i = 0 >

3: < split_on = @issue.custom_field_values.size / 2 >

4: < @issue.custom_field_values.each do |value| >

5:     <p><= custom_field_tag_with_label :issue, value ></p>

6: < if i == split_on -%>

E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/attribute_methods.rb:256:in `method_missin

g'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_proxy.rb:173:

in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_proxy.rb:173:

in `method_missing'

    app/models/custom_value.rb:24:in `after_initialize'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/callbacks.rb:301:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/callbacks.rb:301:in `callback'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/base.rb:2144:in `initialize'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_collection.rb

:329:in `new'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_collection.rb

:329:in `build_record'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/associations/association_collection.rb

:85:in `build'

    vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:62:in `custom_field_values'

    vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:62:in `collect'

    vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:62:in `custom_field_values'

    app/views/issues/_form_custom_fields.rhtml:3:in `_run_erb_47app47views47issues47_form_custom_fields46rhtml

'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `execute'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.rb:29:in `sen

d'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.rb:29:in `ren

der'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partial_template.rb:20:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:30:in `benchmark'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partial_template.rb:19:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template.rb:22:in `render_template'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partials.rb:110:in `render_partial'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:277:in `render'

    app/views/issues/_form.rhtml:45:in `_run_erb_47app47views47issues47_form46rhtml'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `execute'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.rb:29:in `sen

d'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.rb:29:in `ren

der'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partial_template.rb:20:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:30:in `benchmark'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partial_template.rb:19:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template.rb:22:in `render_template'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/partials.rb:110:in `render_partial'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:277:in `render'

    app/views/issues/new.rhtml:7:in `_run_erb_47app47views47issues47new46rhtml'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/helpers/form_helper.rb:317:in `fields_for'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/helpers/form_helper.rb:253:in `form_for'

    app/helpers/application_helper.rb:474:in `labelled_tabular_form_for'

    app/views/issues/new.rhtml:3:in `_run_erb_47app47views47issues47new46rhtml'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:342:in `execute'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.rb:29:in `sen

d'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template_handlers/compilable.rb:29:in `ren

der'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template.rb:35:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/template.rb:22:in `render_template'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_view/base.rb:248:in `render_file'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:1112:in `render_for_file'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:926:in `render_with_no_layou

t'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/layout.rb:251:in `render_without_ben

chmark'
    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:51:in `render'

    E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/core_ext/benchmark.rb:8:in `realtime

'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:51:in `render'

    app/controllers/issues_controller.rb:151:in `new'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:1166:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:1166:in `perform_action_with

out_filters'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:579:in `call_filters'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:572:in `perform_action_wi

thout_benchmark'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

    E:/Ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/rescue.rb:201:in `perform_action_wit

hout_caching'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/caching/sql_cache.rb:13:in `perform_

action'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/connection_adapters/abstract/query_cac

he.rb:33:in `cache'

    E:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.1.1/lib/active_record/query_cache.rb:8:in `cache'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/caching/sql_cache.rb:12:in `perform_

action'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:529:in `send'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:529:in `process_without_filt

ers'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/filters.rb:568:in `process_without_s

ession_management_support'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/session_management.rb:130:in `proces

s'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/base.rb:389:in `process'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:149:in `handle_request

'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:107:in `dispatch'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:104:in `synchronize'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:104:in `dispatch'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

    E:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.1.1/lib/action_controller/dispatcher.rb:35:in `dispatch'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/webrick_server.rb:112:in `handle_dispatch'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/webrick_server.rb:78:in `service'

    E:/Ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    E:/Ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:162:in `start'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:95:in `start'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:92:in `each'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:92:in `start'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:23:in `start'

    E:/Ruby/lib/ruby/1.8/webrick/server.rb:82:in `start'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/webrick_server.rb:62:in `dispatch'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/commands/servers/webrick.rb:66

    E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

    E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

    E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:510:in `require'

    E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:355:in `new_constant

s_in'

    E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:510:in `require'

    E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/commands/server.rb:39

    E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

    E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

    script/server:3

 Rendering E:/RedMine/public/500.html (500 Internal Server Error)@

Regards,

#5 - 2008-09-19 06:42 - Jonathan Hall

- File RedMine-Error.txt added

Uninstalled rails and installed 2.1.0 then froze it.
No joy, attached is the error logs for not being able to load a new issues or issue 1004

Regards,

#6 - 2008-09-19 14:28 - Jean-Philippe Lang

The problem is not related to Rails. Some columns are missing in your tables. It just can not work.

It looks like you didn't properly migrate your database after upgrading. Can you post the exact result of this query:

SELECT * FROM schema_migrations;

#7 - 2008-09-21 22:11 - Jonathan Hall

- File Redmine.csv added

Attached

#8 - 2008-09-23 02:12 - Jonathan Hall

- Status changed from New to Resolved

Created a new Redmine from scratch and then used Mysql Administrator to create the missing columns

In table attachments, column 'description' was missing

In table Custom_fields column 'default_value' was missing

#9 - 2008-09-23 11:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

To be honest, I can't see why these columns were absent from your database since the corresponding migrations are listed in your

schema_migrations output, so they should have been executed.

I close this ticket since you find a solution and I'm not able to reproduce this problem.

Thanks for the feedback.

#10 - 2008-09-23 12:24 - Jonathan Hall

One thing to note .. I was upgrading from about build 1170 or so

But after a day of being in production no other errors have emerged

Cheers!

Files

RedMine-Error.txt 17.2 KB 2008-09-19 Jonathan Hall

Redmine.csv 584 Bytes 2008-09-21 Jonathan Hall
